function augment_init(augment)
    local owner = augment:owner()

    local check_element_component = owner:create_component(Lifetime.Battle)
    check_element_component._stored_element = owner:element()
    check_element_component.auxiliary = nil;
    check_element_component.on_init_func = function(self)
        self:handle_aux_prop()
    end
    check_element_component.on_update_func = function(self)
        if self:owner():element() ~= self._stored_element then
            self:handle_aux_prop()
        end
    end

    check_element_component.handle_aux_prop = function(self)
        if self.auxiliary_property ~= nil then self:owner():remove_aux_prop(self.auxiliary_property) end

        self._stored_element = owner:element()

        self.auxiliary_property = AuxProp.new()
            :require_card_element(self._stored_element)
            :require_total_damage(Compare.GT, 0)
            :decrease_hit_damage("clamp(DAMAGE, 1, DAMAGE * 0.25)")

        owner:add_aux_prop(self.auxiliary_property)
    end
end
